# mysqlcsv

~~~
mysqlcsv: Faire une requête MySQL et formater la sortie pour traitement avec awkcsv

USAGE
    mysqlcsv [query [db]] [-- mysql options]

query   est la requête sql à exécuter. Si query n'est pas spécifiée, la(les)
        requête(s) sql sont prises sur l'entrée standard, ou depuis un fichier
        si l'option -f est spécifiée.
db      est le nom de la base de données. Cette argument n'est lu que si le nom
        de la base de donnée n'est ni spécifié dans le fichier de configuration,
        ni spécifié avec l'option -D

OPTIONS
    -h, --host HOST
    -P, --port PORT
    -u, --user USER
    -pPASSWORD
    -D, --database DATABASE
        Informations de connexion à la base de données
    -C, --config CONFIG
        Prendre les informations de connexion depuis le fichier spécifié.
        Le fichier doit être de la forme
            host=HOST
            #post=3306
            user=USER
            password=PASS
            #database=DB
            #query=QUERY
        Les variables port, database et query sont facultatives.
        Les valeurs définies dans ce fichier sont prioritaires par rapport à
        celles qui auraient été spécifiées sur la ligne de commande.
        Utiliser password=--NOT-SET-- s'il faut se connecter sans mot de passe
        Cette option peut être utilisée plusieurs fois, auquel cas les fichiers
        sont chargés dans l'ordre.
    --profile PROFILE
        La variable $PROFILE est définie avec la valeur spécifiée avant de
        sourcer les fichiers de configuration. Cela permet d'avoir des fichiers
        de configuration qui calculent dynamiquement les paramètres en fonction
        de la valeur du profil.
    -N, --no-headers
        Ne pas afficher les en-têtes
    -c, --force
        Continuer le traitement même en cas d'erreur
    -r, --raw
        Ne pas autoriser mysql à mettre en échappement certaines valeurs
        retournées par le serveur. Par défaut, les transformations suivantes
        sont effectuées:
            newline --> \n
            tab     --> \t
            nul     --> \0
            \      --> \\
    -n, --nulls
        Transformer dans le flux en sortie les valeurs NULL en chaines vides
    -f, --input INPUT
        Lire la requête depuis le fichier input au lieu de le lire depuis la
        ligne de commande ou l'entrée standard. Ne pas spécifier cette option
        ou utiliser '-' pour lire depuis l'entrée standard.
        Cette option est ignorée si la requête est spécifiée parmi les
        arguments.
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary